Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Steam crashes on boot. Can't detect my nvidia driver I think
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
ZFect
n00b
n00b


Joined: 03 Jul 2012
Posts: 21
Location: California

PostPosted: Mon Aug 27, 2012 7:47 am    Post subject: Steam crashes on boot. Can't detect my nvidia driver I think Reply with quote

Hello,

I am on amd64 gentoo system and have installed nvidia drivers. When I try to launch steam after installing it via wine. I get spammed with this output.

Code:
ixme:advapi:EventRegister {47a9201e-73b0-42ce-9821-7e134361bc6f}, 0x3f005160, 0x3f036b20, 0x3f036b18
fixme:advapi:EventRegister {58a9201e-73b0-42ce-9821-7e134361bc70}, 0x3f005160, 0x3f036b58, 0x3f036b50
fixme:advapi:EventRegister {3fa9201e-73b0-43fe-9821-7e145359bc6f}, 0x3f005160, 0x3f036ae8, 0x3f036ae0
fixme:advapi:EventRegister {1432afee-73b0-42ce-9821-7e134361b433}, 0x3f005160, 0x3f036b90, 0x3f036b88
fixme:advapi:EventRegister {4372afee-73b0-42ce-9821-7e134361b519}, 0x3f005160, 0x3f036bc8, 0x3f036bc0
fixme:process:GetLogicalProcessorInformation ((nil),0x33e468): stub
fixme:process:GetLogicalProcessorInformation (0xf10c20,0x33e468): stub
fixme:process:GetLogicalProcessorInformation ((nil),0x33e434): stub
fixme:process:GetLogicalProcessorInformation (0x1ea2c20,0x33e434): stub
fixme:process:SetProcessShutdownParameters (00000100, 00000000): partial stub.
err:secur32:SECUR32_initSchannelSP TLS library not found, SSL connections will fail
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
fixme:dwmapi:DwmSetWindowAttribute (0x10096, 2, 0x33d278, 4) stub
fixme:dwmapi:DwmSetWindowAttribute (0x10096, 3, 0x33d284, 4) stub
fixme:dwmapi:DwmSetWindowAttribute (0x10096, 4, 0x33d274, 4) stub
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!
fixme:iphlpapi:NotifyAddrChange (Handle 0x455d72c, overlapped 0x43752c8): stub
fixme:winsock:WSALookupServiceBeginW (0x455d82c 0x00000ff0 0x455d874) Stub!
[0826/172731:ERROR:network_change_notifier_win.cc(111)] WSALookupServiceBegin failed with: 8
fixme:toolhelp:CreateToolhelp32Snapshot Unimplemented: heap list snapshot
fixme:toolhelp:Heap32ListFirst : stub
wine: Call from 0x7bc4c910 to unimplemented function ADVAPI32.dll.StopTraceA, aborting
fixme:ntdll:RtlNtStatusToDosErrorNoTeb no mapping for 80000100
wine: Call from 0x7bc4c910 to unimplemented function ADVAPI32.dll.StopTraceA, aborting
fixme:ntdll:RtlNtStatusToDosErrorNoTeb no mapping for 80000100
fixme:heap:HeapSetInformation (nil) 1 (nil) 0
fixme:process:GetLogicalProcessorInformation ((nil),0x33fd90): stub
fixme:process:GetLogicalProcessorInformation (0x4efc48,0x33fd90): stub
fixme:advapi:SetNamedSecurityInfoW L"MACHINE\\SOFTWARE\\Valve\\Steam" 4 4 (nil) (nil) 0x128e00 (nil)
Failed to load plugin "/usr/lib/ladspa/caps.so": /usr/lib/ladspa/caps.so: wrong ELF class: ELFCLASS64


I assume that it can not find my nvidia drivers somehow. Minecraft works perfectly, so it seems to be just wine or steam that is making a fuss about it. Can someone give me some direction? I would sure love to play CS:GO on my gentoo :D I get the same output on both 1.4.1 and 1.5.6 of wine.

Thanks!
Back to top
View user's profile Send private message
Ant P.
Advocate
Advocate


Joined: 18 Apr 2009
Posts: 2306
Location: UK

PostPosted: Mon Aug 27, 2012 11:33 am    Post subject: Reply with quote

Do you have the correct 32-bit driver installed?
Back to top
View user's profile Send private message
ZFect
n00b
n00b


Joined: 03 Jul 2012
Posts: 21
Location: California

PostPosted: Mon Aug 27, 2012 7:38 pm    Post subject: Reply with quote

Hmm, I don't know. I followed this gentoo guide, and emerged the x11-drivers/nvidia-drivers-295.71 package.

http://www.gentoo.org/doc/en/nvidia-guide.xml

From my searching on google I have seen others fix very similar issues by installing a 32-bit driver. I thought that a 64 bit version would use a 32bit sub process within it when detecting a 32bit application, but I guess not. Also, I don't see a use flag for it either in the x11-drivers/nvidia-drivers-295.71 ebuid.

How can I check if the 32 bit drivers are correctly installed?
Back to top
View user's profile Send private message
ZFect
n00b
n00b


Joined: 03 Jul 2012
Posts: 21
Location: California

PostPosted: Thu Aug 30, 2012 9:50 am    Post subject: Reply with quote

Does anyone have any ideas as how to check for my 32 bit nvidia driver support, or will I have to wait until the Steam linux client release to play CS:GO on gentoo. :)
Back to top
View user's profile Send private message
Mistwolf
Tux's lil' helper
Tux's lil' helper


Joined: 07 Mar 2007
Posts: 107
Location: Edmonton, AB

PostPosted: Sat Sep 01, 2012 2:35 am    Post subject: Reply with quote

did you install emul-linux-x86-opengl? That is what provides 32-bit OpenGL.

And di you install Wine with 32-bit and/or 64-bit support flags?

I run 64-bit Gentoo, with Nvidia drivers, using 32-bit version of Wine (use flag) and emul-linux-x86-opengl and have no issues with steam (other than no font, but that is a wine issue with dwrite implementation being incomplete).

Hope this helps.
Back to top
View user's profile Send private message
ZFect
n00b
n00b


Joined: 03 Jul 2012
Posts: 21
Location: California

PostPosted: Sun Sep 02, 2012 3:29 am    Post subject: Reply with quote

Hey Mistwolf, thanks for the reply!

Running emerge -pv emul-linux-x86-opengl, I get,

Code:
[ebuild   R    ] app-emulation/emul-linux-x86-opengl-20120520  USE="-development" 0 kB


Running emerge -pv wine, I get,

Code:
[ebuild   R   ~] app-emulation/wine-1.5.6  USE="X alsa cups fontconfig gecko jpeg lcms ldap mono mp3 ncurses nls openal opengl oss perl png ssl threads truetype udisks win32 win64 xcomposite xinerama xml -capi -custom-cflags -gnutls -gphoto2 -gsm (-gstreamer) -hardened -odbc -opencl -samba -scanner (-selinux) -test -v4l" 0 kB


So it looks like I got them and wine has got both the win32 and win64 use flags, I'll give them a rebuild and see what happens.

[After Rebuild]

Yeah still the same result :( . Is there something wrong in my use flags perhaps in the above terminal snippets?


Last edited by ZFect on Sun Sep 02, 2012 4:37 am; edited 1 time in total
Back to top
View user's profile Send private message
Mistwolf
Tux's lil' helper
Tux's lil' helper


Joined: 07 Mar 2007
Posts: 107
Location: Edmonton, AB

PostPosted: Sun Sep 02, 2012 4:31 am    Post subject: Reply with quote

The other thing that it could be is that you are running Mesa OpenGL and not Nvidia OpenGL.\

Chech the output of
Code:
eselect opengl list

and make sure that nvidia is selected and not xorg-x11. If it is not, set it to nvidia and try again. (eselect opengl set nvidia).

Hope this helps.
Back to top
View user's profile Send private message
ZFect
n00b
n00b


Joined: 03 Jul 2012
Posts: 21
Location: California

PostPosted: Sun Sep 02, 2012 4:40 am    Post subject: Reply with quote

Thanks again for the idea, I appreciate it. It looks like the setting is set to nvidia already however.

After running eselect opengl list

Code:
Available OpenGL implementations:
  [1]   nvidia *
  [2]   xorg-x11
Back to top
View user's profile Send private message
Mistwolf
Tux's lil' helper
Tux's lil' helper


Joined: 07 Mar 2007
Posts: 107
Location: Edmonton, AB

PostPosted: Sun Sep 02, 2012 5:12 am    Post subject: Reply with quote

There is a wine bug on that issue, but they can't decide what the problem is (http://bugs.winehq.org/show_bug.cgi?id=30270).

I would try a newer version of wine (1.5.9 and lower don't have the font issue, but launching newer wine with the -no-dwrite option fixes the font issue).

and this is my wine use flags are similar to yours, just no win64 (because I am lazy). I got opencl and gnutls now (didn't before, no effect on steam).

I have been running steam on wine for several versions of wine, currently on version 1.5.10. Version 1.5.11 crashes Skyrim for me.

I am running nvidia drivers version 304.43.

Oh, is your nvidia-drivers showing that the multilib flag is enabled? I just realized that it is what creates 32-bit libraries and not emul-linux-x86-opengl. I think. I am just too tired to think straigh. Sorry.[/code]
Back to top
View user's profile Send private message
spacelike
n00b
n00b


Joined: 15 Sep 2011
Posts: 57

PostPosted: Sun Sep 02, 2012 5:50 am    Post subject: Reply with quote

Are you guys trying to solve the error:
Code:
err:wgl:is_extension_supported No OpenGL extensions found, check if your OpenGL setup is correct!


Because that is probably just misleading. I had that exact same error a few days ago, yet even while getting that error I could still start steam in WINE and even play CS:GO.
However, there is a solution for it, you just need to get "winbind". To do that you would have to emerge wine with the USE flag "samba" and emerge the package "samba" with the use flag "winbind".

This stopped the error for me, but it didn't appear to change anything at all. The frame rate actaully seemed lower when I had this built so I reemerged wine without it, the error came back but performance improved.

So hopefully this information at least helps you narrow down the problem. It seems to me that you are only having 1 real issue:
Code:
Failed to load plugin "/usr/lib/ladspa/caps.so": /usr/lib/ladspa/caps.so: wrong ELF class: ELFCLASS64


[EDIT]
from a quick google search it seems maybe the game is trying to load a 32bit library and you only have a 64bit version.
Back to top
View user's profile Send private message
ZFect
n00b
n00b


Joined: 03 Jul 2012
Posts: 21
Location: California

PostPosted: Sun Sep 02, 2012 8:36 pm    Post subject: Reply with quote

Thanks for the replies,

Quote:
Because that is probably just misleading. I had that exact same error a few days ago, yet even while getting that error I could still start steam in WINE and even play CS:GO.
However, there is a solution for it, you just need to get "winbind". To do that you would have to emerge wine with the USE flag "samba" and emerge the package "samba" with the use flag "winbind".


I gave this a go. Here's the output after it and launching steam. It appears to be the same output, even with all the opengl errors.
http://pastebin.com/rVfL9BKG

Quote:
from a quick google search it seems maybe the game is trying to load a 32bit library and you only have a 64bit version.


Yeah, I've noticed that too before I posted here on this issue. However, It looks as though my nvidia drivers are fine and I have the opengl 32 bit libraries installed as I worked with Mistwolf to verify. Perhaps steam is looking for another 32 bit library then what I suspect. The plugin error you quoted above looks suspicious enough.

Quote:
Oh, is your nvidia-drivers showing that the multilib flag is enabled? I just realized that it is what creates 32-bit libraries and not emul-linux-x86-opengl. I think.


I get this output with the command, emerge -pv nvidia-drivers
[ebuild R ] x11-drivers/nvidia-drivers-295.71 USE="acpi (multilib) tools" 0 kB
It appears I do.

I would try a newer version of wine, but any version above 1.5.6 gives me the same blocks which I am a bit concerned about and don't really know how to deal with them. For example, when I run the command, emerge -pv =wine-1.5.7


Code:
           
[blocks B      ] <sys-fs/udev-186 ("<sys-fs/udev-186" is blocking sys-fs/udev-init-scripts-16)                           
[blocks B      ] <sys-apps/usbutils-005-r1 ("<sys-apps/usbutils-005-r1" is blocking sys-apps/hwids-20120815)             
[blocks B      ] <sys-apps/pciutils-3.1.9-r2 ("<sys-apps/pciutils-3.1.9-r2" is blocking sys-apps/hwids-20120815)         
[blocks B      ] <sys-kernel/genkernel-3.4.25 ("<sys-kernel/genkernel-3.4.25" is blocking sys-fs/udev-188)
[blocks B      ] <sys-apps/openrc-0.9.9 ("<sys-apps/openrc-0.9.9" is blocking sys-fs/udev-188)
Back to top
View user's profile Send private message
ZFect
n00b
n00b


Joined: 03 Jul 2012
Posts: 21
Location: California

PostPosted: Mon Sep 03, 2012 3:59 am    Post subject: Reply with quote

Well, I figured out what was crashing steam on boot, it is my alsaequal script that routes alsa sound to be equalized. I followed this guide here to set it up on Gentoo, to equalize my alsa sound.

https://patrick-nagel.net/blog/archives/180

My ~/.asoundrc looks like this

Code:

ctl.equal {
        type equal;
}

pcm.plugequal {
        type equal;
        slave.pcm "plug:dmix";
}

pcm.!default {
        type plug;
        slave.pcm plugequal;
}


This is a bummer since every thing else works fine with alsaequal plugin and I prefer equalized sound. Heres where the bug report was stated,

http://bugs.winehq.org/show_bug.cgi?id=30580

seems like they ended the issue with saying

Quote:
You probably need the 32-bit version of the alsaequal plugin. Your
distribution should be able to help you install that.

However, when I run emerge -pv alsaequal

Calculating dependencies... done!
[ebuild R ] media-plugins/alsaequal-0.6 0 kB

I don't see a 32bit use flag or the like.

Anyone have any ideas on how to make alsaequal plugin for alsa work with wine?
Back to top
View user's profile Send private message
Chiitoo
l33t
l33t


Joined: 28 Feb 2010
Posts: 849
Location: Here and Away Again

PostPosted: Thu Oct 04, 2012 2:07 pm    Post subject: ><)))°€ Reply with quote

Teegrins, ZFect!


After fooling around with this for a day or so, it seems a bit of a mess (well, that is because I don't know enough of the library matters, no doubt). A lot of time was wasted yesterday wondering why alsaequal was not working, at all! Today I noticed I had been trying with a .asoundrx instead of a .asoundrc... oopsies! In any case, it seemed a bit similar to an issue I had with libxcb. I had forgotten about the emul-linux packages, and thus, was very confused as to why a certain patch did not take effect if I built it with Portage, but it did if I built it manually 'outside' of Portage. Wine was using the libraries from app-emulation/emul-linux-x86-xlibs, or so I was told.

In any case, I tried building the media-plugins/caps-plugins (which is where your 64-bit caps.so should come from) manually, and while I was unsuccessful to tell Wine to use the build directory as I did with libxcb (LD_LIBRARY_PATH=path), I simply replaced the 64-bit caps.so temporarily with the 32-bit version I had compiled.
Wine did not complain about it any longer, but I would be unable to really test it since now I of course had mixed 32-bit libraries with 64-bit ones, which you shouldn't do, so the alsaequal would not work (or rather, I could not verify if it works or not, because the .alsaequal.bin would be the wrong length. I did, however, have audio in CS:GÖ nevertheless. ^^;

Of course all other audio applications would be broken now, heh!

Now, it's quite easy to tell Portage to build 32-bit code, but it is not as easy (to me at the time of writing) to solve the file collisions that become of it. You see, there already are 32-bit versions of files such as caps.so and libasound_module_pcm_equal.so that come from the package app-emulation/emul-linux-x86-soundlibs, similarly to libxcb.so, and right now, I don't have ideas on how to make alsaequal play nicely with them.

I was hoping that I could solve this issue for you, but I think I would have to mess around with the ebuild a lot more while not even being sure that it would be the right way of going at it at all. Right now I have no more time to spare for this particular adventure. Apologies. Perhaps I managed to at least make some sense and not be completely wrong about it. I did, however, manage to learn a thing or few myself, so it wasn't a complete loss! So I thank you.

Thank you!


You might want to report a bug at bugs.gentoo.org if nothing more comes up here.
Good luck~
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.
Back to top
View user's profile Send private message
pschlacter01
n00b
n00b


Joined: 15 Nov 2012
Posts: 2

PostPosted: Thu Nov 15, 2012 1:32 pm    Post subject: Reply with quote

thanks! i thought I am the only one with this problem...this helped!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum